Bug 1011245 - WARNING: at fs/btrfs/inode.c
WARNING: at fs/btrfs/inode.c
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 17:04 EDT by submittingbugs
Modified: 2013-11-12 21:16 EST (History)
8 users (show)

See Also:
Fixed In Version: kernel-3.11.7-100.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:05:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description submittingbugs 2013-09-23 17:04:39 EDT
Description of problem:

From /var/log/messages:

[  158.271526] ------------[ cut here ]------------
[  158.271549] WARNING: CPU: 2 PID: 364 at fs/btrfs/inode.c:2206 record_one_backref+0x379/0x420 [btrfs]()
[  158.271550] Modules linked in: bnep bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_conntrack nf_conntrack ip6table_filter ip6_tables arc4 iTCO_wdt iTCO_vendor_support iwldvm x86_pkg_temp_thermal snd_hda_codec_hdmi mac80211 coretemp uvcvideo snd_hda_codec_conexant videobuf2_vmalloc videobuf2_memops videobuf2_core videodev kvm_intel kvm snd_hda_intel snd_hda_codec media iwlwifi snd_hwdep thinkpad_acpi snd_seq sdhci_pci snd_seq_device snd_pcm i2c_i801 e1000e cfg80211 snd_page_alloc snd_timer sdhci snd mmc_core microcode soundcore rfkill wmi ptp pps_core serio_raw lpc_ich mfd_core mei_me shpchp mei mperf hdaps(OF) tp_smapi(OF) thinkpad_ec(OF) uinput btrfs libcrc32c xor zlib_deflate raid6_pq dm_crypt crc32_pclmul i915 crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper drm firewire_ohci firewire_core crc_itu_t i2c_core video input_polldev
[  158.271577] CPU: 2 PID: 364 Comm: btrfs-endio-wri Tainted: GF          O 3.11.1-200.fc19.x86_64 #1       
[  158.271578] Hardware name: LENOVO 423946U/423946U, BIOS 8AET63WW (1.43 ) 05/08/2013
[  158.271579]  0000000000000009 ffff88021038db18 ffffffff816476af 0000000000000000 
[  158.271581]  ffff88021038db50 ffffffff810670dd ffff88020f4015a0 0000000000000001 
[  158.271582]  ffff88020facb000 000000000034e2fe ffff8802030ba780 ffff88021038db60 
[  158.271584] Call Trace:
[  158.271589]  [<ffffffff816476af>] dump_stack+0x45/0x56
[  158.271592]  [<ffffffff810670dd>] warn_slowpath_common+0x7d/0xa0
[  158.271593]  [<ffffffff810671ba>] warn_slowpath_null+0x1a/0x20
[  158.271601]  [<ffffffffa01c57b9>] record_one_backref+0x379/0x420 [btrfs]
[  158.271609]  [<ffffffffa01c5440>] ? btrfs_submit_bio_hook+0x1e0/0x1e0 [btrfs]
[  158.271618]  [<ffffffffa021a136>] iterate_extent_inodes+0x1c6/0x320 [btrfs]
[  158.271626]  [<ffffffffa01c5440>] ? btrfs_submit_bio_hook+0x1e0/0x1e0 [btrfs]
[  158.271634]  [<ffffffffa021a317>] iterate_inodes_from_logical+0x87/0xa0 [btrfs]
[  158.271641]  [<ffffffffa01c393f>] record_extent_backrefs+0x7f/0xe0 [btrfs]
[  158.271649]  [<ffffffffa01cddf6>] btrfs_finish_ordered_io+0x156/0x960 [btrfs]
[  158.271656]  [<ffffffffa01ce7e5>] finish_ordered_fn+0x15/0x20 [btrfs]
[  158.271664]  [<ffffffffa01ee63b>] worker_loop+0x12b/0x500 [btrfs]
[  158.271673]  [<ffffffffa01ee510>] ? btrfs_queue_worker+0x300/0x300 [btrfs]
[  158.271675]  [<ffffffff810885c0>] kthread+0xc0/0xd0
[  158.271677]  [<ffffffff81088500>] ? insert_kthread_work+0x40/0x40
[  158.271679]  [<ffffffff816567ac>] ret_from_fork+0x7c/0xb0
[  158.271681]  [<ffffffff81088500>] ? insert_kthread_work+0x40/0x40
[  158.271682] ---[ end trace b81823a8da2125aa ]---


Version-Release number of selected component (if applicable):
kernel-3.11.1-200.fc19.x86_64
btrfs-progs-0.20.rc1.20130308git704a08c-1.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Install Fedora 19 with btrfs
2. Upgrade to kernel 3.11.1-200
3. Boot

Actual results:
Scary message above in /var/log/messages.

Expected results:
No message in /var/log/messages.

Additional info: If booted using 3.10.10-200 kernel, no messages appear.  Only 3.11.1-200 produces those warnings.  / is on a sub volume, and /home is on a different sub volume.  So far no issues observed other than the warning, but to be safe, I have regressed back to running kernel 3.10.10-200.
Comment 1 Josef Bacik 2013-09-23 17:11:55 EDT
Fixed upstream, the patch is

Btrfs: reset ret in record_one_backref

should be in the next stable build.  For now you can just ignore the warning.
Comment 2 submittingbugs 2013-09-24 10:49:58 EDT
(In reply to Josef Bacik from comment #1)
> Fixed upstream, the patch is
> 
> Btrfs: reset ret in record_one_backref
> 
> should be in the next stable build.  For now you can just ignore the warning.

Given that, I found that if I remove the autodefrag mount option, the warnings stop.  I will leave that mount option off until next release with the upstream patch.

Thank you!
Comment 3 Josh Boyer 2013-09-25 15:16:40 EDT
FYI, this didn't make the 3.11.2-rc1 release.  I'm guessing it was either missed, or it's queued for 3.11.3.
Comment 4 Josh Boyer 2013-10-02 08:19:53 EDT
Didn't make 3.11.3 either.  There was a mixup upstream.  I believe it should be queued for 3.11.4 soon.
Comment 5 Josh Boyer 2013-10-14 10:06:24 EDT
Finally made 3.11.5.
Comment 6 Fedora Update System 2013-10-14 15:18:04 EDT
kernel-3.11.5-300.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.5-300.fc20
Comment 7 Fedora Update System 2013-10-14 15:18:41 EDT
kernel-3.11.5-200.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.5-200.fc19
Comment 8 Fedora Update System 2013-10-14 15:20:26 EDT
kernel-3.11.5-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.5-100.fc18
Comment 9 Fedora Update System 2013-10-15 02:43:02 EDT
Package kernel-3.11.5-300.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.5-300.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19105/kernel-3.11.5-300.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-10-15 11:40:46 EDT
kernel-3.11.5-301.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.5-301.fc20
Comment 11 Fedora Update System 2013-10-20 15:14:43 EDT
kernel-3.11.6-200.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.6-200.fc19
Comment 12 Fedora Update System 2013-10-20 15:16:17 EDT
kernel-3.11.6-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.6-100.fc18
Comment 13 Fedora Update System 2013-10-22 23:36:40 EDT
kernel-3.11.6-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-11-02 15:25:43 EDT
kernel-3.11.6-101.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.6-101.fc18
Comment 15 Fedora Update System 2013-11-03 00:36:59 EDT
Package kernel-3.11.6-101.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.6-101.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20545/kernel-3.11.6-101.fc18
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-11-04 15:21:32 EST
kernel-3.11.7-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.7-100.fc18
Comment 17 Fedora Update System 2013-11-10 03:05:12 EST
kernel-3.11.5-302.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-12 21:16:15 EST
kernel-3.11.7-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.